
INSERT INTO BALANCE (AMOUNT, END_DATE, START_DATE, TYPE, FK_BALANCE_ID) VALUES (100, '2021-12-12', '2020-12-12', 1,1);
INSERT INTO BALANCE (AMOUNT, END_DATE, START_DATE, TYPE, FK_BALANCE_ID) VALUES (100, '2021-12-12', '2020-12-12', 2,2);
INSERT INTO BALANCE (AMOUNT, END_DATE, START_DATE, TYPE, FK_BALANCE_ID) VALUES (1000000, '2023-12-12', '2020-12-12', 2,3);
INSERT INTO BALANCE (AMOUNT, END_DATE, START_DATE, TYPE, FK_BALANCE_ID) VALUES (5000000, '2023-12-12', '2020-12-12', 1,4);

INSERT INTO PERSON (NAME) VALUES ('Elon Musk');
INSERT INTO PERSON (NAME) VALUES ('Tim Cook');

INSERT INTO COMPANY (NAME, BALANCE) VALUES ('tesla');
INSERT INTO COMPANY (name) VALUES ('apple');

INSERT INTO COMPANY (NAME, FK_BALANCE_ID) VALUES
    ( 'tesla',     (SELECT id from BALANCE WHERE FK_BALANCE_ID=1) ),
    ( 'another row', (SELECT id from BALANCE WHERE FK_BALANCE_ID=2 ) );



